PKCS12SafeBag (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.pkcs

## Class PKCS12SafeBag

- java.lang.Object
- - org.bouncycastle.pkcs.PKCS12SafeBag

-     public class PKCS12SafeBag
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `friendlyNameAttribute`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `localKeyIdAttribute`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PKCS12SafeBag(org.bouncycastle.asn1.pkcs.SafeBag safeBag)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.bouncycastle.asn1.pkcs.Attribute[]` | `getAttributes()`
    `java.lang.Object` | `getBagValue()`
    `org.bouncycastle.asn1.ASN1ObjectIdentifier` | `getType()` Return the BagId giving the type of content in the bag.
    `org.bouncycastle.asn1.pkcs.SafeBag` | `toASN1Structure()` Return the underlying ASN.1 structure for this safe bag.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### friendlyNameAttribute

          public static final org.bouncycastle.asn1.ASN1ObjectIdentifier friendlyNameAttribute

    - #### localKeyIdAttribute

          public static final org.bouncycastle.asn1.ASN1ObjectIdentifier localKeyIdAttribute

  - ### Constructor Detail

    - #### PKCS12SafeBag

          public PKCS12SafeBag(org.bouncycastle.asn1.pkcs.SafeBag safeBag)

  - ### Method Detail

    - #### toASN1Structure

          public org.bouncycastle.asn1.pkcs.SafeBag toASN1Structure()

      Return the underlying ASN.1 structure for this safe bag.
      Returns:
        a SafeBag

    - #### getType

          public org.bouncycastle.asn1.ASN1ObjectIdentifier getType()

      Return the BagId giving the type of content in the bag.
      Returns:
        the bagId

    - #### getAttributes

          public org.bouncycastle.asn1.pkcs.Attribute[] getAttributes()

    - #### getBagValue

          public java.lang.Object getBagValue()